org.apache.ignite.internal.binary

## Class BinaryFieldImpl

- java.lang.Object
- - org.apache.ignite.internal.binary.BinaryFieldImpl

All Implemented Interfaces:
  BinaryField

    public class BinaryFieldImpl
    extends Object
    implements BinaryField

Implementation of binary field descriptor.

### Constructor Summary

Constructors
Constructor and Description
`BinaryFieldImpl(int typeId, BinarySchemaRegistry schemas, String fieldName, int fieldId)` Constructor.

### Method Summary

Methods
`boolean` `exists(BinaryObject obj)` Check whether field exists in the object.
`String` `name()` Get field's name.
`String` `toString()`
`<T> T` `value(BinaryObject obj)` Get field's value from the given object.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BinaryFieldImpl

    public BinaryFieldImpl(int typeId,
                   BinarySchemaRegistry schemas,
                   String fieldName,
                   int fieldId)

Constructor.

Parameters:
  `schemas` - Schemas.
  `fieldName` - Field name.
  `fieldId` - Field ID.

### Method Detail

#### name

    public String name()

Get field's name.

Specified by:
  `name` in interface `BinaryField`
Returns:
  Name.

#### exists

    public boolean exists(BinaryObject obj)

Check whether field exists in the object.

Specified by:
  `exists` in interface `BinaryField`
Parameters:
  `obj` - Object.
Returns:
  `True` if exists.

#### value

    public <T> T value(BinaryObject obj)

Get field's value from the given object.

Specified by:
  `value` in interface `BinaryField`
Parameters:
  `obj` - Object.
Returns:
  Value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.7.0
Release Date | : August 1 2016